%global modulename fast-glob

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-fast-glob
Version:        2.2.4
Release:        1%{?dist}
Summary:        Is a faster `node-glob` alternative

License:        MIT
URL:            https://github.com/mrmlnc/fast-glob#readme
Source0:        https://registry.npmjs.org/fast-glob/-/fast-glob-2.2.4.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(@mrmlnc/readdir-enhanced) >= 2.2.1 with npmlib(@mrmlnc/readdir-enhanced) < 3.0.0))
BuildRequires:  ((npmlib(@nodelib/fs.stat) >= 1.1.2 with npmlib(@nodelib/fs.stat) < 2.0.0))
BuildRequires:  ((npmlib(glob-parent) >= 3.1.0 with npmlib(glob-parent) < 4.0.0))
BuildRequires:  ((npmlib(is-glob) >= 4.0.0 with npmlib(is-glob) < 5.0.0))
BuildRequires:  ((npmlib(merge2) >= 1.2.3 with npmlib(merge2) < 2.0.0))
BuildRequires:  ((npmlib(micromatch) >= 3.1.10 with npmlib(micromatch) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Is a faster `node-glob` alternative

%package 2.2.4
Summary:        Is a faster `node-glob` alternative


%description 2.2.4
Is a faster `node-glob` alternative

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr out %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.2.4
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 2.2.4-1
- Package automatically generated by npm2srpm
